Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.ide.repast
Class RepastRuntimeConfigurator

    java.lang.Object
      org.eclipse.amp.amf.ide.RuntimeConfigurator
          org.eclipse.amp.amf.ide.repast.RepastRuntimeConfigurator

All Implemented Interfaces:
  Configurator

    public class RepastRuntimeConfigurator

extends RuntimeConfigurator

Field Summary
`static java.lang.String` | `JAR_CLASSPATH_DEFAULT`
`static Configurator` | `REPAST_CONFIGURATOR`
`static java.lang.String` | `REPAST_SUPPORT_PATH`

Fields inherited from class org.eclipse.amp.amf.ide.RuntimeConfigurator
`ATTR_METAABM_FILE, METAABM_CONFIGURATOR, VM_CONFIG`

Constructor Summary
`RepastRuntimeConfigurator()`

Method Summary
`void` | `configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config, org.eclipse.core.resources.IResource model)` Configures the repast launch for a model.
`void` | `configureForLaunch(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config, org.eclipse.core.resources.IResource model)` Configures the actual launch runtime.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPAST_CONFIGURATOR

    public static final Configurator REPAST_CONFIGURATOR

### REPAST_SUPPORT_PATH

    public static final java.lang.String REPAST_SUPPORT_PATH

See Also:
  Constant Field Values

### JAR_CLASSPATH_DEFAULT

    public static final java.lang.String JAR_CLASSPATH_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### RepastRuntimeConfigurator

    public RepastRuntimeConfigurator()

Method Detail

### configure

    public void configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config,
                          org.eclipse.core.resources.IResource model)

  Configures the repast launch for a model. If model is null, then performs default configuration.

  Specified by:
    `configure` in interface `Configurator`
  Overrides:
    `configure` in class `RuntimeConfigurator`
  Parameters:
    `model` - may be null

### configureForLaunch

    public void configureForLaunch(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config,
                                   org.eclipse.core.resources.IResource model)

  Configures the actual launch runtime.

  Specified by:
    `configureForLaunch` in interface `Configurator`
  Overrides:
    `configureForLaunch` in class `RuntimeConfigurator`
  Parameters:
    `model` - may be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD